@rem
@rem MAKETEST.BAT
@rem   This batch file compiles the libraries (if needed) and makes an .EXE
@rem   testing program so they can be debugged.
@rem
@rem USAGE:  MAKETEST {16} {32}
@rem
@rem
@echo off
if '%1'=='' goto help

:start
if '%1'=='' goto end
if '%1'=='16' goto do16
if '%1'=='32' goto do32
goto help

:do16
if not exist uicls16.lib call makelib 16
bcc -WX -x- -RT- -ml -v -eTEST16 test.cpp -v uicls16.lib

shift
goto start

:do32
if not exist uicls32.lib call makelib 32
bcc32 -WX -x- -RT- -v -eTEST32 test.cpp -v uicls32.lib

shift
goto start

:help
echo Usage: MAKETEST {16} {32}

:end
echo Done.